apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deployment.name }}
  labels:
    app: {{ .Values.deployment.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.name }}
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: {{ .Values.image.repository }}
          ports:
            - containerPort: {{ .Values.service.port}}
          env:
            - name: IDP
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP
            - name: IDP_REALM
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP_REALM
            - name: CLIENT_ID
              value: {{ .Values.deployment.clientId }}
            - name: REDIRECT_URL
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: REDIRECT_URL
            - name: ENVIRONMENT_NAME
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: ENVIRONMENT_NAME
            - name: API_URL
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: API_URL